org.eclipse.graphiti.func

## Interface ILayout

All Known Subinterfaces:
  ILayoutFeature, IPattern

All Known Implementing Classes:
  AbstractLayoutFeature, AbstractPattern, IdPattern, LayoutFeatureForPattern, TypedPattern

    public interface ILayout

The Interface ILayout.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canLayout(ILayoutContext context)` Checks whether the current pictogram element of the given context can be layouted.
`boolean` `layout(ILayoutContext context)` Layoutes the pictogram element.

### Method Detail

#### canLayout

    boolean canLayout(ILayoutContext context)

Checks whether the current pictogram element of the given context can be layouted.

Parameters:
  `context` - the context
Returns:
  true if update is possible

#### layout

    boolean layout(ILayoutContext context)

Layoutes the pictogram element.

Parameters:
  `context` - the context
Returns:
  true, if update process was successfull